COMPATIBLE enables you to use a new release of Oracle while ensuring the ability to downgrade the database to an earlier release.

Property Description

Parameter type



COMPATIBLE = release_number

Default value




Modifiable in a PDB


Range of values

11.2.0 to default release



Oracle RAC

Multiple instances must have the same value.

Setting COMPATIBLE ensures that new features do not write data formats or structures to disk that are not compatible with the earlier release, preventing a future downgrade. Features that require a higher value of COMPATIBLE to work correctly may be restricted or disabled to ensure downgrades are possible.

The COMPATIBLE parameter specifies the Oracle version number that the database disk format must be compatible with. The database can be downgraded to the version specified in the COMPATIBLE parameter or any later version.


The value of the COMPATIBLE parameter can be increased to a higher version, but it can never be decreased to a lower version.


When using a standby database, this parameter must have the same value on both the primary and standby databases.

Typically, users keep COMPATIBLE unchanged when upgrading their Oracle software. After upgrade, users will run the new release of the Oracle software for a few weeks to ensure that the new release is working correctly. Afterwards, users can choose to update COMPATIBLE to the latest version to take advantage of the new features.

When you set the value of the COMPATIBLE parameter to, the maximum size of SQL identifiers is increased from 30 bytes to 128 bytes.


The COMPATIBLE parameter must be specified as at least three decimal numbers with each pair separated by a dot, such as 12.0.0.

See Also:

Oracle Database Upgrade Guide for more information on setting this parameter